List what uses a Connection
curl --request GET \
--url https://api.checkfu.com/v1/connections/{id}/uses \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/connections/{id}/uses"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/connections/{id}/uses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/connections/{id}/uses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/connections/{id}/uses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/connections/{id}/uses")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/connections/{id}/uses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"connection_id": "<string>",
"automations": [
{
"automation_id": "<string>",
"name": "<string>",
"triggers": [
{
"kind": "provider_webhook",
"registration_id": "<string>",
"webhook_source_id": "<string>",
"status": "pending",
"event_types": [
"<string>"
],
"has_signing_secret": true
}
],
"tool_uses": [
{
"step_id": "<string>",
"tool": "<string>"
}
]
}
],
"grant_audiences": [
{
"audience": "<string>",
"declared_by": "<string>"
}
]
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"code": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "authentication_error",
"code": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "permission_error",
"code": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
},
"request_id": "<string>"
}{
"error": {
"type": "not_found_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found",
"code": "validation.not_found"
},
"type": "error",
"request_id": "<string>"
}{
"error": {
"type": "conflict_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict",
"code": "validation.conflict"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"code": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
},
"request_id": "<string>"
}{
"error": {
"type": "api_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal",
"code": "runtime.internal"
},
"type": "error",
"request_id": "<string>"
}List what uses a Connection
Read the automations that use this Connection, limited to those the caller may view.
GET
/
v1
/
connections
/
{id}
/
uses
List what uses a Connection
curl --request GET \
--url https://api.checkfu.com/v1/connections/{id}/uses \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/connections/{id}/uses"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/connections/{id}/uses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/connections/{id}/uses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/connections/{id}/uses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/connections/{id}/uses")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/connections/{id}/uses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"connection_id": "<string>",
"automations": [
{
"automation_id": "<string>",
"name": "<string>",
"triggers": [
{
"kind": "provider_webhook",
"registration_id": "<string>",
"webhook_source_id": "<string>",
"status": "pending",
"event_types": [
"<string>"
],
"has_signing_secret": true
}
],
"tool_uses": [
{
"step_id": "<string>",
"tool": "<string>"
}
]
}
],
"grant_audiences": [
{
"audience": "<string>",
"declared_by": "<string>"
}
]
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"code": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "authentication_error",
"code": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "permission_error",
"code": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
},
"request_id": "<string>"
}{
"error": {
"type": "not_found_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found",
"code": "validation.not_found"
},
"type": "error",
"request_id": "<string>"
}{
"error": {
"type": "conflict_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict",
"code": "validation.conflict"
},
"type": "error",
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"code": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
},
"request_id": "<string>"
}{
"error": {
"type": "api_error",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal",
"code": "runtime.internal"
},
"type": "error",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Path Parameters
Pattern:
^conn_[0-9a-f]{32}$Response
The automations the caller may view that use this Connection, with their trigger registrations (status and whether each holds a signing secret, never its value) and tool calls.
The automations the caller may view that use this Connection, with their trigger registrations (status and whether each holds a signing secret, never its value) and tool calls.